﻿/// <reference path="//Microsoft.WinJS.1.0/js/base.js" />
/// <reference path="//Microsoft.WinJS.1.0/js/ui.js" />

(function () {
    var people = [
        {
            Title : "Marco De Sanctis",
            Image : "http://forum.aspitalia.com/avatars/90/Cradle.avatar",
            WebSite : "http://www.aspitalia.com/autori/Marco_De_Sanctis.aspx",
            SubTitle : "cradle@aspitalia.com"
        },
        {
            Title : "Daniele Bochicchio",
            Image : "http://forum.aspitalia.com/avatars/90/Daniele+Bochicchio.avatar",
            WebSite : "http://www.aspitalia.com/autori/Daniele_Bochicchio.aspx",
            SubTitle : "daniele@aspitalia.com"
        },
        {
            Title : "Cristian Civera",
            Image : "http://forum.aspitalia.com/avatars/90/Ricciolo.avatar",
            WebSite : "http://www.aspitalia.com/autori/Cristian_Civera.aspx",
            SubTitle : "ricciolo@aspitalia.com"
        },
        {
            Title : "Stefano Mostarda",
            Image : "http://forum.aspitalia.com/avatars/90/SM15455.avatar",
            WebSite : "http://www.aspitalia.com/autori/Stefano_Mostarda.aspx",
            SubTitle : "sm@aspitalia.com"
        },
        {
            Title : "Alessio Leoncini",
            Image :"http://forum.aspitalia.com/avatars/90/novecento.avatar",
            WebSite : "http://www.aspitalia.com/autori/Alessio_Leoncini.aspx",
            SubTitle : "novecento@aspitalia.com"
        },
        {
            Title : "Marco Leoncini",
            Image : "http://forum.aspitalia.com/avatars/90/nostromo.avatar",
            WebSite : "http://www.aspitalia.com/autori/Marco_Leoncini.aspx",
            SubTitle: "nostromo@aspitalia.com"
        }
    ];

    var cars = [
        { ModelName: "Audi", Title: "A4", Image: "/images/Cars/audi-a4.jpg" },
        { ModelName: "Audi", Title: "Q7", Image: "/images/Cars/audi-q7.jpg" },
        { ModelName: "Audi", Title: "TT", Image: "/images/Cars/audi-tt.jpg" },
        { ModelName: "BMW", Title: "325i", Image: "/images/Cars/bmw-325i.jpg" },
        { ModelName: "BMW", Title: "M3", Image: "/images/Cars/bmw-m3.jpg" },
        { ModelName: "BMW", Title: "X5", Image: "/images/Cars/bmw-x5.jpg" },
        { ModelName: "Maserati", Title: "3200 GT", Image: "/images/Cars/maserati-3200-gt.jpg" },
        { ModelName: "Maserati", Title: "4200 Coupe", Image: "/images/Cars/maserati-4200-coupe.jpg" },
        { ModelName: "Maserati", Title: "Gran Turismo", Image: "/images/Cars/maserati-gran-turismo.jpg" },
        { ModelName: "Mercedes Benz", Title: "CLS", Image: "/images/Cars/mercedes-benz-cls.jpg" },
        { ModelName: "Mercedes Benz", Title: "E 500", Image: "/images/Cars/mercedes-benz-e-500.jpg" },
        { ModelName: "Mercedes Benz", Title: "SL 55 AMG", Image: "/images/Cars/mercedes-benz-sl-55-amg.jpg" }
    ];

    var plainList = new WinJS.Binding.List(people);

    var groupedList = new WinJS.Binding.List(cars)
        .createGrouped(getGroupKey, getGroupData);

    function getGroupKey(item) {
        return item.ModelName;
    }

    function getGroupData(item) {
        return {
            title: item.ModelName,
            count: groupedList.filter(function (x) {
                return x.ModelName == item.ModelName
            }).length
        };
    }

    WinJS.Namespace.define("Data", {
        simpleSource: plainList,
        groupedSource: groupedList,
        groups : groupedList.groups
    });


})();