﻿// For an introduction to the Page Control template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232511
(function () {
    "use strict";

    WinJS.UI.Pages.define("/page5.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            attachEvents();
            bindData();
        },

        unload: function () {
            // TODO: Respond to navigations away from this page.
        },

        updateLayout: function (element, viewState, lastViewState) {
            /// <param name="element" domElement="true" />

            // TODO: Respond to changes in viewState.
        }
    });

    function attachEvents() {
        back.addEventListener("click", function () {
            window.history.back();
        });
    }

    function bindData() {
        var inListView = zoomedInList.winControl;
        inListView.itemTemplate = template;
        inListView.itemDataSource = Data.groupedSource.dataSource;
        inListView.groupDataSource = Data.groupedSource.groups.dataSource;
        inListView.groupHeaderTemplate = headerTemplate;
        
        var outListView = zoomedOutList.winControl;
        outListView.itemTemplate = zoomOutTemplate;
        outListView.itemDataSource = Data.groupedSource.groups.dataSource;
    }
})();
