﻿(function () {
    "use strict";

    WinJS.UI.Pages.define("/pages/home/home.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            
            document.getElementById("playback").addEventListener("click", function () {
                WinJS.Navigation.navigate("/pages/playback/playbackPage.html");
            });

            document.getElementById("uiCapture").addEventListener("click", function () {
                WinJS.Navigation.navigate("/pages/uiCapture/uiCapture.html");
            });

            document.getElementById("capture").addEventListener("click", function () {
                WinJS.Navigation.navigate("/pages/capture/capture.html");
            });

            document.getElementById("playTo").addEventListener("click", function () {
                WinJS.Navigation.navigate("/pages/playTo/playTo.html");
            });
        }
    });
})();
