﻿// For an introduction to the Page Control template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232511
(function () {
    "use strict";

    WinJS.UI.Pages.define("/pages/playback/playbackPage.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {

            Windows.Media.MediaControl.onplaypressed = function () {
                video.play();
            };
            Windows.Media.MediaControl.onpausepressed = function () {
                video.pause();
            };
            Windows.Media.MediaControl.onplaypausetogglepressed = function () {
                if (video.paused)
                    video.play();
                else
                    video.pause();
            };
            Windows.Media.MediaControl.onstoppressed = function () {
                video.pause();
            };

            document.getElementById("openFrom").addEventListener("click", function () {

                var pickers = Windows.Storage.Pickers;

                // UI per la selezione del file
                var picker = new pickers.FileOpenPicker();
                picker.suggestedStartLocation = pickers.PickerLocationId.videosLibrary;
                picker.fileTypeFilter.replaceAll([".mp4", ".wmv"]);

                // Chiedo all'utente il file da riprodurre
                picker.pickSingleFileAsync().then(function (videoFile) {
                    // Creo l'URL per accedere al file
                    var videoURL = URL.createObjectURL(videoFile);
                    // Imposto l'uri
                    video.src = videoURL;
                    video.onprogress
                });

            });

        },

        unload: function () {
            // TODO: Respond to navigations away from this page.
        },

        updateLayout: function (element, viewState, lastViewState) {
            /// <param name="element" domElement="true" />

            // TODO: Respond to changes in viewState.
        }
    });
})();
