﻿// For an introduction to the Page Control template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232511
(function () {
    "use strict";

    var dataSource = ["Marco", "Cristian", "Alessio", "Stefano"];

    //var Person = WinJS.Class.define(
    //    function (n, e) {
    //        this.name = n;
    //        this.email = e;
    //    }, {}, {}
    //);
    //var complexSource = [
    //    new Person("Marco", "mailto:cradle@aspitalia.com"),
    //    new Person("Cristian", "mailto:ricciolo@aspitalia.com"),
    //    new Person("Alessio", "mailto:novecento@aspitalia.com"),
    //    new Person("Stefano", "mailto:sm@aspitalia.com"),
    //];

    //var Person = WinJS.Binding.define({ name:"", email:""});
    //var complexSource = [
    //        new Person({name:"Marco", email:"mailto:cradle@aspitalia.com"}),
    //        new Person({name:"Cristian", email:"mailto:ricciolo@aspitalia.com"}),
    //        new Person({name:"Alessio", email:"mailto:novecento@aspitalia.com"}),
    //        new Person({ name: "Stefano", email: "mailto:sm@aspitalia.com" }),
    //];

    var Person = WinJS.Class.define(
        function (n, e) {
            this._initObservable();

            this.name = n;
            this.email = e;
        }, {}, {}
    );

    WinJS.Class.mix(Person, WinJS.Binding.mixin, WinJS.Binding.expandProperties({ name:"", email:""}));

    var complexSource = [
        new Person("Marco", "mailto:cradle@aspitalia.com"),
        new Person("Cristian", "mailto:ricciolo@aspitalia.com"),
        new Person("Alessio", "mailto:novecento@aspitalia.com"),
        new Person("Stefano", "mailto:sm@aspitalia.com")
    ];
    
    WinJS.UI.Pages.define("/page1.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            attachEvents();
            bindData();
        },

        unload: function () {
            // TODO: Respond to navigations away from this page.
        },

        updateLayout: function (element, viewState, lastViewState) {
            /// <param name="element" domElement="true" />

            // TODO: Respond to changes in viewState.
        }
    });

    function attachEvents() {
        back.addEventListener("click", function () {
            window.history.back();
        });
    }

    function bindData() {
        dataSource.forEach(function (o) {
            var element = document.createElement("li");
            element.innerHTML = o;
            container.appendChild(element);
        });

        var templateControl = listTemplate.winControl;

        complexSource.forEach(function (o) {
            templateControl.render(o, target);
        });

        complexSource[1].name = "Antonio";
    }
})();
