﻿// For an introduction to the Page Control template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232511
(function () {
    "use strict";

    WinJS.UI.Pages.define("/page3.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            // TODO: Initialize the page here.
            attachEvents();
            bindData();
        },

        unload: function () {
            // TODO: Respond to navigations away from this page.
        },

        updateLayout: function (element, viewState, lastViewState) {
            /// <param name="element" domElement="true" />

            // TODO: Respond to changes in viewState.
        }
    });

    function attachEvents() {
        back.addEventListener("click", function () {
            window.history.back();
        });

        var list = theListView.winControl;
        list.addEventListener("selectionchanged", function () {
            list.selection.getItems().done(function (items) {
                if (items && items.length > 0) {
                    WinJS.Binding.processAll(webSite, items[0].data);
                    webSite.style.display = 'block';
                    document.getElementById('webSiteFrame').setAttribute("src", items[0].data.WebSite);
                }
                else {
                    webSite.style.display = 'none';
                }
            });
        });
    }

    function bindData() {
        var listView = theListView.winControl;
        listView.itemTemplate = template;
        listView.itemDataSource = Data.simpleSource.dataSource;
    }
})();
